# misc.cpp File Reference

Misc functions that shouldn't be here. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "landscape.h"`
`#include "news_func.h"`
`#include "variables.h"`
`#include "ai/ai.hpp"`
`#include "newgrf_house.h"`
`#include "cargotype.h"`
`#include "group.h"`
`#include "economy_func.h"`
`#include "functions.h"`
`#include "map_func.h"`
`#include "date_func.h"`
`#include "vehicle_func.h"`
`#include "texteff.hpp"`
`#include "gfx_func.h"`
`#include "gamelog.h"`
`#include "animated_tile_func.h"`
`#include "settings_type.h"`
`#include "tilehighlight_func.h"`
`#include "network/network_func.h"`
`#include "window_func.h"`
`#include "table/sprites.h"`

Go to the source code of this file.

## Functions
void | MakeNewgameSettingsLive ()
void | InitializeVehicles ()
void | InitializeWaypoints ()
void | InitializeDepots ()
void | InitializeEngineRenews ()
void | InitializeOrders ()
void | InitializeClearLand ()
void | InitializeRailGui ()
| Initialize rail building GUI settings.
void | InitializeRoadGui ()
void | InitializeAirportGui ()
void | InitializeDockGui ()
void | InitializeIndustries ()
void | InitializeTowns ()
void | InitializeTrees ()
void | InitializeSigns ()
| Initialize the signs.
void | InitializeStations ()
void | InitializeCargoPackets ()
void | InitializeCompanies ()
void | InitializeCheats ()
void | InitializeNPF ()
void | InitializeOldNames ()
| Initialize the old names table memory.
void | InitializeGame (uint size_x, uint size_y, bool reset_date, bool reset_settings)
void | InitializeLandscapeVariables (bool only_constants)
## Variables
TileIndex | _cur_tileloop_tile

## Detailed Description

Misc functions that shouldn't be here.

Definition in file misc.cpp.

## Function Documentation

void InitializeSigns | ( |  | ) |

Initialize the signs.

Definition at line 81 of file signs.cpp.